## secrets 7.2

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)

option(
  'tests',
  type: 'boolean',
  value: 'false',
  description: 'Enable automated tests (requires Python "pytest" library)'
)

## secrets 6.5

=== debian/changelog ===
secrets (6.5-5) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Oct 2022 23:08:51 -0400

secrets (6.5-4) unstable; urgency=medium

  * Added transitional package for gnome-passwordsafe
  * and bumped standards to 4.6.1 in d/control

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Fri, 09 Sep 2022 20:01:12 -0700

secrets (6.5-3) unstable; urgency=medium

  * Added missing gir dependencies in debian/control

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 21 Aug 2022 18:50:57 -0400

secrets (6.5-2) unstable; urgency=medium

  * Team upload
  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 12:36:54 -0400

secrets (6.5-1) unstable; urgency=medium

  * Initial release (Closes: #1016611)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 09 Apr 2022 13:13:14 -0600

=== debian/control ===
Source: secrets
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake,
               debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-python3,
               gtk-update-icon-cache,
               libadwaita-1-dev (>= 1.0.0),
               libgirepository1.0-dev (>= 1.66.0),
               libglib2.0-dev (>= 2.66),
               libgtk-4-dev (>= 4.6.2),
               libpwquality-dev (>= 1.4.0),
               meson (>= 0.59),
               pkg-config,
               python3-pykeepass (>= 4.0.1),
               python3-pyotp (>= 2.3.0)
Standards-Version: 4.6.1
Section: gnome
Vcs-Browser: https://salsa.debian.org/gnome-team/secrets
Vcs-Git: https://salsa.debian.org/gnome-team/secrets.git
Homepage: https://apps.gnome.org/app/org.gnome.World.Secrets
Rules-Requires-Root: no

Package: secrets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pykeepass, python3-pyotp, python3-pwquality, gir1.2-adw-1, gir1.2-gtk-4.0
Description: Manage your passwords
 Secrets is a password manager which integrates perfectly with the GNOME desktop
 and provides an easy and uncluttered interface for the management
 of password databases.

Package: gnome-passwordsafe
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, secrets
Description: transitional package for secrets
 This is a dummmy package to transition gnome-passwordsafe to secrets

## secrets 7.0

=== debian/changelog ===
secrets (7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1023011)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 05 Nov 2022 11:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,10 @@
                libpwquality-dev (>= 1.4.0),
                meson (>= 0.59),
                pkg-config,
-               python3-pykeepass (>= 4.0.1),
-               python3-pyotp (>= 2.3.0)
+               python3-pykeepass (>= 4.0.3),
+               python3-pyotp (>= 2.3.0),
+               python3-validators (>= 0.20.0),
+               python3-zxcvbn (>= 4.4.28)
 Standards-Version: 4.6.1
 Section: gnome
 Vcs-Browser: https://salsa.debian.org/gnome-team/secrets
@@ -25,7 +27,7 @@
 
 Package: secrets
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pykeepass, python3-pyotp, python3-pwquality, gir1.2-adw-1, gir1.2-gtk-4.0
+Depends: ${misc:Depends}, ${python3:Depends}, python3-pykeepass, python3-pyotp, python3-pwquality, python3-validators, python3-zxcvbn, gir1.2-adw-1, gir1.2-gtk-4.0
 Description: Manage your passwords
  Secrets is a password manager which integrates perfectly with the GNOME desktop
  and provides an easy and uncluttered interface for the management

## secrets 7.2

=== debian/changelog ===
secrets (7.2-1) unstable; urgency=medium

  * New upstream release
  * Source-only upload
  * Bumped Standards-Version to 4.6.2 (no changes needed)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Fri, 13 Jan 2023 18:43:52 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-pyotp (>= 2.3.0),
                python3-validators (>= 0.20.0),
                python3-zxcvbn (>= 4.4.28)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: gnome
 Vcs-Browser: https://salsa.debian.org/gnome-team/secrets
 Vcs-Git: https://salsa.debian.org/gnome-team/secrets.git

## secrets 7.3

=== debian/changelog ===
secrets (7.3-1) unstable; urgency=medium

  * New upstream release
  * Add newer versions of B-Ds in d/control

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 02 Aug 2023 11:58:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
                desktop-file-utils,
                dh-sequence-python3,
                gtk-update-icon-cache,
-               libadwaita-1-dev (>= 1.0.0),
+               libadwaita-1-dev (>= 1.2),
                libgirepository1.0-dev (>= 1.66.0),
-               libglib2.0-dev (>= 2.66),
-               libgtk-4-dev (>= 4.6.2),
+               libglib2.0-dev (>= 2.73.1),
+               libgtk-4-dev (>= 4.9),
                libpwquality-dev (>= 1.4.0),
                meson (>= 0.59),
                pkg-config,
                python3-pykeepass (>= 4.0.3),
-               python3-pyotp (>= 2.3.0),
+               python3-pyotp (>= 2.4.0),
                python3-validators (>= 0.20.0),
                python3-zxcvbn (>= 4.4.28)
 Standards-Version: 4.6.2

## secrets 8.0

=== debian/changelog ===
secrets (8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum pykeepass to 4.0.6
  * Depend on python3-gi
  * Build-Depend on python3-pytest for build tests
  * debian/rules: Ignore dh_auto_test failures for now (reported upstream)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 19:59:30 -0400

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,10 @@
                libpwquality-dev (>= 1.4.0),
                meson (>= 0.59),
                pkg-config,
-               python3-pykeepass (>= 4.0.3),
+               python3-gi,
+               python3-pykeepass (>= 4.0.6),
                python3-pyotp (>= 2.4.0),
+               python3-pytest <!nocheck>,
                python3-validators (>= 0.20.0),
                python3-zxcvbn (>= 4.4.28)
 Standards-Version: 4.6.2
@@ -27,7 +29,7 @@
 
 Package: secrets
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pykeepass, python3-pyotp, python3-pwquality, python3-validators, python3-zxcvbn, gir1.2-adw-1, gir1.2-gtk-4.0
+Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, python3-pykeepass, python3-pyotp, python3-pwquality, python3-validators, python3-zxcvbn, gir1.2-adw-1, gir1.2-gtk-4.0
 Description: Manage your passwords
  Secrets is a password manager which integrates perfectly with the GNOME desktop
  and provides an easy and uncluttered interface for the management

## secrets 9.3

=== debian/changelog ===
secrets (9.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add Build-Depends & Depends: python3-pykcs11 & python3-yubico
  * Bump minimum python3-pykeepass

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 13:23:03 -0400

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,14 @@
                libgtk-4-dev (>= 4.9),
                libpwquality-dev (>= 1.4.0),
                meson (>= 0.59),
-               pkg-config,
+               pkgconf,
                python3-gi,
-               python3-pykeepass (>= 4.0.6),
+               python3-pykcs11,
+               python3-pykeepass (>= 4.0.7),
                python3-pyotp (>= 2.4.0),
                python3-pytest <!nocheck>,
                python3-validators (>= 0.20.0),
+               python3-yubico,
                python3-zxcvbn (>= 4.4.28)
 Standards-Version: 4.6.2
 Section: gnome
@@ -29,15 +31,29 @@
 
 Package: secrets
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, python3-pykeepass, python3-pyotp, python3-pwquality, python3-validators, python3-zxcvbn, gir1.2-adw-1, gir1.2-gtk-4.0
+Depends: gir1.2-adw-1,
+         gir1.2-gtk-4.0,
+         python3-gi,
+         python3-pwquality,
+         python3-pykcs11,
+         python3-pykeepass (>= 4.0.7),
+         python3-pyotp,
+         python3-validators,
+         python3-yubico,
+         python3-zxcvbn,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Manage your passwords
  Secrets is a password manager which integrates perfectly with the GNOME desktop
  and provides an easy and uncluttered interface for the management
  of password databases.
+ .
+ Secrets is a GNOME Circle app.
 
 Package: gnome-passwordsafe
 Section: oldlibs
 Architecture: all
-Depends: ${misc:Depends}, secrets
+Depends: secrets,
+         ${misc:Depends}
 Description: transitional package for secrets
  This is a dummmy package to transition gnome-passwordsafe to secrets

=== debian/watch ===
version=4
https://gitlab.gnome.org/World/secrets/tags?sort=updated_desc archive/@ANY_VERSION@/secrets-\d\S*@ARCHIVE_EXT@

## secrets 9.4

=== debian/changelog ===
secrets (9.4-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete transitional package for gnome-passwordsafe
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 12:04:07 -0400

## secrets 9.5

=== debian/changelog ===
secrets (9.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 17:58:51 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-validators (>= 0.20.0),
                python3-yubico,
                python3-zxcvbn (>= 4.4.28)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: gnome
 Vcs-Browser: https://salsa.debian.org/gnome-team/secrets
 Vcs-Git: https://salsa.debian.org/gnome-team/secrets.git
@@ -49,11 +49,3 @@
  of password databases.
  .
  Secrets is a GNOME Circle app.
-
-Package: gnome-passwordsafe
-Section: oldlibs
-Architecture: all
-Depends: secrets,
-         ${misc:Depends}
-Description: transitional package for secrets
- This is a dummmy package to transition gnome-passwordsafe to secrets

## secrets 9.6

=== debian/changelog ===
secrets (9.6-2) unstable; urgency=medium

  * Switch to python3-python-zxcvbn-rs-py (Closes: #1081138),
    thanks to Bastian Germann

 -- Matthias Geiger <werdahias@debian.org>  Sun, 08 Sep 2024 23:20:56 +0200

secrets (9.6-1) unstable; urgency=medium

  * New upstream release
  * Drop python3-pwquality from Depends (Closes: #1076427)
  * Updated my mail address in d/control, d/copyright
  * Updated copyright years

 -- Matthias Geiger <werdahias@debian.org>  Mon, 22 Jul 2024 15:36:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: secrets
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
+Uploaders: Matthias Geiger <werdahias@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                desktop-file-utils,
@@ -21,7 +21,7 @@
                python3-pytest <!nocheck>,
                python3-validators (>= 0.20.0),
                python3-yubico,
-               python3-zxcvbn (>= 4.4.28)
+               python3-python-zxcvbn-rs-py (>= 0.1.1)
 Standards-Version: 4.7.0
 Section: gnome
 Vcs-Browser: https://salsa.debian.org/gnome-team/secrets
@@ -34,13 +34,12 @@
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
          python3-gi,
-         python3-pwquality,
          python3-pykcs11,
          python3-pykeepass (>= 4.0.7),
          python3-pyotp,
          python3-validators,
          python3-yubico,
-         python3-zxcvbn,
+         python3-python-zxcvbn-rs-py,
          ${misc:Depends},
          ${python3:Depends}
 Description: Manage your passwords

## secrets 10.1

=== debian/changelog ===
secrets (10.1-1) unstable; urgency=medium

  * New upstream release
  * Remove zxcvbn patch, applied upstream
  * d/control: Updated dependencies for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Mon, 09 Dec 2024 19:13:08 +0100

## secrets 10.3

=== debian/changelog ===
secrets (10.3-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick upstream patch for zxcvbn-rs-py 0.2 (Closes: #1089710)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 21 Dec 2024 14:27:54 +0100

## secrets 10.4

=== debian/changelog ===
secrets (10.4-1) unstable; urgency=medium

  * New upstream release
  * Drop patch, applied upstream

 -- Matthias Geiger <werdahias@debian.org>  Fri, 10 Jan 2025 23:40:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,16 @@
                desktop-file-utils,
                dh-sequence-python3,
                gtk-update-icon-cache,
-               libadwaita-1-dev (>= 1.2),
+               libadwaita-1-dev (>= 1.6),
                libgirepository1.0-dev (>= 1.66.0),
                libglib2.0-dev (>= 2.73.1),
-               libgtk-4-dev (>= 4.9),
-               libpwquality-dev (>= 1.4.0),
+               libgtk-4-dev (>= 4.15.3),
                meson (>= 0.59),
                pkgconf,
                python3-gi,
                python3-pykcs11,
                python3-pykeepass (>= 4.0.7),
-               python3-pyotp (>= 2.4.0),
+               python3-pyotp (>= 2.6.0),
                python3-pytest <!nocheck>,
                python3-validators (>= 0.20.0),
                python3-yubico,

## secrets 11.0

=== debian/changelog ===
secrets (11.0-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Build-Depends: gobject-introspection instead of libgirepository1.0-dev
  * Branch for forky to avoid 12.0 which requires pygobject >= 3.52

  [ Matthias Geiger ]
  * d/control: Drop erroneous cmake dependency

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 11:04:49 -0400

secrets (11.0-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Revert more commits that require asyncio from pygobject 3.52
    including the fingerprint QuickUnlock feature

  [ Matthias Geiger ]
  * d/control: Convert package to arch:any again (Closes: #1090077)

 -- Matthias Geiger <werdahias@debian.org>  Sun, 13 Apr 2025 18:31:06 +0200

secrets (11.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1102371)
  * Bump minimum python3-pykeepass
  * Add Build-Depends: libgtksourceview-5-dev, python-gi-dev
  * Revert a commit related to recent files that doesn't work

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 12 Apr 2025 19:38:56 -0400

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-python3,
+               gobject-introspection,
                gtk-update-icon-cache,
                libadwaita-1-dev (>= 1.6),
-               libgirepository1.0-dev (>= 1.66.0),
                libglib2.0-dev (>= 2.73.1),
+               libgtksourceview-5-dev,
                libgtk-4-dev (>= 4.15.3),
                meson (>= 0.59),
                pkgconf,
+               python-gi-dev (>= 3.50.0),
                python3-gi,
                python3-pykcs11,
-               python3-pykeepass (>= 4.0.7),
+               python3-pykeepass (>= 4.1.1),
                python3-pyotp (>= 2.6.0),
                python3-pytest <!nocheck>,
                python3-validators (>= 0.20.0),
@@ -29,12 +30,13 @@
 Rules-Requires-Root: no
 
 Package: secrets
-Architecture: all
+Architecture: any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
+         gir1.2-gtksource-5,
          python3-gi,
          python3-pykcs11,
-         python3-pykeepass (>= 4.0.7),
+         python3-pykeepass (>= 4.1.1),
          python3-pyotp,
          python3-validators,
          python3-yubico,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# https://gitlab.gnome.org/World/secrets/-/issues/481
override_dh_auto_test:
	dh_auto_test || true

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.gnome.org/World/@PACKAGE@/tags?sort=updated_desc \
	-/archive/[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## secrets 12.0

=== debian/changelog ===
secrets (12.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Add patch to remove new Audit feature since it requires
    python3-pyhibp which is not yet in Debian
  * Remove all other patches: no longer needed

  [ Matthias Geiger ]
  * d/control: Require python3-gi >= 3.52
  * d/control: Bump minimun required meson, libadwaita, gtksourceview

  [ Simon McVittie ]
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 13:43:51 -0500

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-python3,
-               gobject-introspection,
+               gobject-introspection (>= 1.80),
                gtk-update-icon-cache,
-               libadwaita-1-dev (>= 1.6),
+               libadwaita-1-dev (>= 1.8~beta),
                libglib2.0-dev (>= 2.73.1),
-               libgtksourceview-5-dev,
+               libgtksourceview-5-dev (>= 5.0),
                libgtk-4-dev (>= 4.15.3),
-               meson (>= 0.59),
+               meson (>= 1.7),
                pkgconf,
-               python-gi-dev (>= 3.50.0),
-               python3-gi,
+               python-gi-dev (>= 3.52.0),
+               python3-gi (>= 3.52.0),
                python3-pykcs11,
                python3-pykeepass (>= 4.1.1),
                python3-pyotp (>= 2.6.0),
@@ -22,19 +22,18 @@
                python3-validators (>= 0.20.0),
                python3-yubico,
                python3-python-zxcvbn-rs-py (>= 0.1.1)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: gnome
 Vcs-Browser: https://salsa.debian.org/gnome-team/secrets
 Vcs-Git: https://salsa.debian.org/gnome-team/secrets.git
 Homepage: https://apps.gnome.org/app/org.gnome.World.Secrets
-Rules-Requires-Root: no
 
 Package: secrets
 Architecture: any
-Depends: gir1.2-adw-1,
+Depends: gir1.2-adw-1 (>= 1.8~beta),
          gir1.2-gtk-4.0,
          gir1.2-gtksource-5,
-         python3-gi,
+         python3-gi (>= 3.52.0),
          python3-pykcs11,
          python3-pykeepass (>= 4.1.1),
          python3-pyotp,
